NamingContextExtPOA (Java SE 10 & JDK 10 )
Keywords: org.omg.CosNaming.NamingContextExtPOA class

Module java.corba
Package org.omg.CosNaming

## Class NamingContextExtPOA

- java.lang.Object
- - org.omg.PortableServer.Servant
  - - org.omg.CosNaming.NamingContextExtPOA

- All Implemented Interfaces:
    `InvokeHandler`, `NamingContextExtOperations`, `NamingContextOperations`

      public abstract class NamingContextExtPOA
      extends Servant
      implements NamingContextExtOperations, InvokeHandler

  `NamingContextExt` is the extension of `NamingContext` which contains a set of name bindings in which each name is unique and is part of Interoperable Naming Service. Different names can be bound to an object in the same or different contexts at the same time. Using `NamingContextExt`, you can use URL-based names to bind and resolve. See CORBA COS Naming Specification.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NamingContextExtPOA()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `NamingContextExt` | `_this()` |
    `NamingContextExt` | `_this​(ORB orb)` |

    - ### Methods declared in interface org.omg.CORBA.portable.InvokeHandler

      `_invoke`

    - ### Methods declared in interface org.omg.CosNaming.NamingContextExtOperations

      `resolve_str, to_name, to_string, to_url`

    - ### Methods declared in interface org.omg.CosNaming.NamingContextOperations

      `bind, bind_context, bind_new_context, destroy, list, new_context, rebind, rebind_context, resolve, unbind`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in class org.omg.PortableServer.Servant

      `_all_interfaces, _default_POA, _get_delegate, _get_interface_def, _is_a, _non_existent, _object_id, _orb, _poa, _set_delegate, _this_object, _this_object`

- - ### Constructor Detail

    - #### NamingContextExtPOA

          public NamingContextExtPOA()

  - ### Method Detail

    - #### _this

          public NamingContextExt _this()

    - #### _this

          public NamingContextExt _this​(ORB orb)